Package org.eclipse.net4j.util.security.operations

## Class AuthorizableOperation

- java.lang.Object
- - org.eclipse.net4j.util.security.operations.AuthorizableOperation

-     public final class AuthorizableOperation
      extends java.lang.Object

  Since:
    3.16
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AuthorizableOperation.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AuthorizableOperation` | `build​(java.lang.String operationID)` |
    `static AuthorizableOperation.Builder` | `builder​(java.lang.String operationID)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getID()` |
    `java.lang.Object` | `getParameter​(java.lang.String key)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getParameters()` |
    `int` | `hashCode()` |
    `static AuthorizableOperation` | `read​(ExtendedDataInput in)` |
    `java.lang.String` | `toString()` |
    `void` | `write​(ExtendedDataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getID

          public java.lang.String getID()

    - #### getParameter

          public java.lang.Object getParameter​(java.lang.String key)

    - #### getParameters

          public java.util.Map<java.lang.String,​java.lang.Object> getParameters()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### write

          public void write​(ExtendedDataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public static AuthorizableOperation read​(ExtendedDataInput in)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### build

          public static AuthorizableOperation build​(java.lang.String operationID)

    - #### builder

          public static AuthorizableOperation.Builder builder​(java.lang.String operationID)